Package org.opensaml.xacml.ctx

# Interface DecisionType

All Superinterfaces:
  `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `DecisionTypeImpl`

public interface DecisionType extends XACMLObject
XACML context Decision schema type.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`DecisionType.DECISION`
Allowed decision values.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`DecisionType.DECISION`
`getDecision()`
Gets the value of the decision.
`void`
`setDecision(DecisionType.DECISION decision)`
Sets the value of the decision.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getDecision

DecisionType.DECISION getDecision()
Gets the value of the decision.

Returns:
  The value of the decision

### setDecision

void setDecision(DecisionType.DECISION decision)
Sets the value of the decision.

Parameters:
  `decision` - value of the decision